package util

import (
	"fmt"
	"github.com/google/uuid"
	"path/filepath"
	"strconv"
)

func ToString(value interface{}) string {
	return fmt.Sprintf("%v", value)
}

func NewUUID() string {
	return uuid.New().String()[:8]
}
func NewShortUUID() string {
	return uuid.New().String()[:8]
}

func StringToInt(str string) int {
	intVal, _ := strconv.Atoi(str)
	return intVal
}

// 从字符串切片中筛选出以特定后缀结尾的字符串
func FilterBySuffixes(strList []string, suffixes ...string) []string {
	var filtered []string
	for _, s := range strList {
		for _, suffix := range suffixes {
			//if strings.HasSuffix(s, suffix) {
			//	filtered = append(filtered, s)
			//	break
			//}
			if filepath.Base(s) == suffix {
				filtered = append(filtered, s)
				break
			}
		}
	}
	return filtered
}
